summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Matteo Bernardini2019-10-11 09:56:53 +0200
committer Matteo Bernardini2020-05-23 07:20:58 +0200
commitaf35203979bd7c689a949e4124185da35454ae80 (patch)
tree320e3d3a0161cb2db03dd73ef31795210f766341
parented0074d03fdb30fde2ae0f56100c935d31cefbb8 (diff)
downloadslackbuilds-af35203979bd7c689a949e4124185da35454ae80.tar.gz
libraries/ocaml-camomile: Updated for version 1.0.2.ocaml-camomile
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--libraries/ocaml-camomile/ocaml-camomile.SlackBuild49
-rw-r--r--libraries/ocaml-camomile/ocaml-camomile.info6
2 files changed, 18 insertions, 37 deletions
diff --git a/libraries/ocaml-camomile/ocaml-camomile.SlackBuild b/libraries/ocaml-camomile/ocaml-camomile.SlackBuild
index 1acdb0ba15..ce1a1b262d 100644
--- a/libraries/ocaml-camomile/ocaml-camomile.SlackBuild
+++ b/libraries/ocaml-camomile/ocaml-camomile.SlackBuild
@@ -21,15 +21,16 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ocaml-camomile
-VERSION=${VERSION:-0.8.5}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.0.2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
SRCNAM=camomile
+SRCNAM2=Camomile
if [ -z "$ARCH" ]; then
case "$(uname -m)" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$(uname -m) ;;
esac
@@ -40,8 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -58,9 +59,9 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
-cd $SRCNAM-$VERSION
+rm -rf $SRCNAM2-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM2-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -68,35 +69,15 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# Install missing library, thanks debian
-patch -p1 < $CWD/0002-Install-missing-camomileLibrary.a.patch
+ocaml configure.ml
+dune build -p camomile @install
+DESTDIR=$PKG dune install --prefix=/usr --libdir="$(ocamlfind printconf destdir)"
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure --prefix=/usr
-
-# add DESTDIR for `install-data'
-sed -i 's|^prefix=\(.*\)$|prefix=$(DESTDIR)\1|' Makefile
-
-# for `install-without-ocamlfind'
-sed -i 's|^OCAMLLIB = \(.*\)$|OCAMLLIB = $(DESTDIR)\1|' Makefile
-
-# for `install-with-ocamlfind'
-long='$(DESTDIR)/$$(ocamlfind printconf destdir)'
-sed -i "s|\\(ocamlfind install\\)| mkdir -p $long; \\1 -destdir $long |" Makefile
-
-make -j1
-make install DESTDIR=$PKG
-
-find $PKG -print0 | xargs -0 file \
- | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null \
- || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- COPYING Changes README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/libraries/ocaml-camomile/ocaml-camomile.info b/libraries/ocaml-camomile/ocaml-camomile.info
index 5706af8a10..028d83635f 100644
--- a/libraries/ocaml-camomile/ocaml-camomile.info
+++ b/libraries/ocaml-camomile/ocaml-camomile.info
@@ -1,8 +1,8 @@
PRGNAM="ocaml-camomile"
-VERSION="0.8.5"
+VERSION="1.0.2"
HOMEPAGE="http://camomile.sourceforge.net/"
-DOWNLOAD="https://github.com/yoriyuki/Camomile/releases/download/rel-0.8.5/camomile-0.8.5.tar.bz2"
-MD5SUM="1e25b6cd4efd26ab38a667db18d83f02"
+DOWNLOAD="https://github.com/yoriyuki/Camomile/archive/1.0.2/camomile-1.0.2.tar.gz"
+MD5SUM="2ec60575e485b0b92f821949a81acb4d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="camlp4"